FORUMS: list search recent posts

Running Avid on a new, standard iMac. Compatability?

COW Forums : Avid Media Composer

<< PREVIOUS   •   VIEW ALL   •   PRINT   •   NEXT >>
Stuart Baker
Running Avid on a new, standard iMac. Compatability?
on Feb 1, 2018 at 12:18:15 am

Hello,

I'm trying to find a low cost, Mac based solution for running the current version of Avid Media Composer. For what I'm doing (I won't bore you with the details) I don't need to do anything creative with graphics- I only need to load in pre-existing projects/bins/etc.

I'm considering the purchase of a new iMac. Not the "pro" version, but a standard iMac which costs roughly $1200.

Will the current version of Avid Media Composer run on a new, standard iMac, or will Avid Media Composer reject the installation?

Thanks for any information on this that the Forum group can provide.

Stuart



Return to posts index

Shane Ross
Re: Running Avid on a new, standard iMac. Compatability?
on Feb 1, 2018 at 1:01:46 am

It'll work fine. We have dozens of iMacs running Avid in our office, mainly for the story producers or as transcode stations...assistant stations. Works fine.

Shane
Little Frog Post
Read my blog, Little Frog in High Def


Return to posts index

Stuart Baker
Re: Running Avid on a new, standard iMac. Compatability?
on Feb 1, 2018 at 1:46:43 am

Great! Thanks for confirming Shane, much obliged.



Return to posts index


Pat Horridge
Re: Running Avid on a new, standard iMac. Compatability?
on Feb 1, 2018 at 9:25:57 am

To be sure Google the reade for the version of MC you intend to run. It will list supported OSs

Pat Horridge
Broadcast & Post Consultant, Trainer, Avid Certified Instructor
Free online Tutorials at VET digital media academy online http://vimeo.com/channels/752951
pat@vet.co.uk



Return to posts index

<< PREVIOUS   •   VIEW ALL   •   PRINT   •   NEXT >>
© 2018 CreativeCOW.net All Rights Reserved
[TOP]